
<h2 class="ServicesTitle"> <img _ngcontent-serverapp-c26="" alt="logo" class="img-fluid pr-2 titleleftimg" src=" ../../assets/images/Icn_leavemanagement.png">Leave Management</h2>
<div class="card formFieldsBlock">
  <div class="col-sm-12">
    <form [formGroup]="leaveManagementForm" (ngSubmit)="onSubmit($event)" #formEl="ngForm">
    <div class="row">
        <div class="col-sm-6">
            <mat-form-field appearance="standard">
            <mat-label>Leave Type</mat-label>
            <mat-select formControlName="leaveTypeVal">
                <mat-option *ngFor="let cat of leaveType;let i=index;" [value]="cat" (click)="getPeriodData()">{{cat}}</mat-option>
                    
            </mat-select>
            <mat-error *ngIf="leaveManagementForm.controls['leaveTypeVal'].errors?.required &&
            leaveManagementForm.controls['leaveTypeVal'].touched">
                Please Select Leave Type.
            </mat-error> 
        </mat-form-field>
        </div>
        <div class="col-sm-6">
          <mat-form-field appearance="standard">
            <mat-label>Start Date</mat-label>
            
            <input matInput (click)="picker1.open()" [matDatepicker]="picker1" formControlName="StartDate" required (dateChange)="getPeriodData()">
            <mat-datepicker-toggle matSuffix [for]="picker1"></mat-datepicker-toggle>
            <mat-datepicker #picker1></mat-datepicker>     
            <mat-error *ngIf="leaveManagementForm.controls['StartDate'].errors?.required &&
            leaveManagementForm.controls['StartDate'].touched">
                Please Select Start Date.
            </mat-error>
        </mat-form-field>
        </div>
     </div> 
      <div class="row">

        <div class="col-sm-6">
          <mat-form-field class="email-field" appearance="standard" >
            <mat-label>End Date</mat-label>            
            <input matInput  (click)="picker.open()" [matDatepicker]="picker" formControlName="EndDate" required (dateChange)="getPeriodData()">
            <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
            <mat-datepicker #picker></mat-datepicker>  
            <mat-error *ngIf="leaveManagementForm.controls['EndDate'].errors?.required &&
            leaveManagementForm.controls['EndDate'].touched">
                Please Select End Date.
            </mat-error>  
             
          </mat-form-field> 
          <p class="error" *ngIf="dateError">
            Please Select End Date Greaterthan Start Date.
        </p> 
        </div>
        <div class="col-sm-6">
          <mat-form-field class="email-field" appearance="standard" >
          <mat-label>Days</mat-label>
          <input matInput type="number"  formControlName="Days" maxlength="3" required autocomplete="off"  />   
              <mat-error *ngIf="leaveManagementForm.controls['Days'].errors?.required &&
              leaveManagementForm.controls['Days'].touched">
                  Please Enter Days.
              </mat-error>   
          </mat-form-field> 
      </div>
      </div> 
      <div class="row">
        <div class="col-sm-6">
            <mat-form-field class="email-field" appearance="standard" >
                <mat-label>Replace By</mat-label>
                <mat-select formControlName="ReplaceBy" reuired>
                    <mat-option *ngFor="let emp of empNums" [value]="emp">{{emp}}</mat-option>
                  </mat-select>   
                  <mat-error *ngIf="leaveManagementForm.controls['ReplaceBy'].errors?.required &&
                  leaveManagementForm.controls['ReplaceBy'].touched">
                      Please Select Replace By.
                  </mat-error>   
              </mat-form-field> 
        </div>
        <div class="col-sm-6">
          <mat-form-field class="email-field" appearance="standard" >
            <mat-label>Need Exit ReEntry Visa</mat-label>
            <mat-select formControlName="NeedExitReEntry" reuired>
                <mat-option value="true">Yes</mat-option>
              <mat-option value="false">No</mat-option>
                
              </mat-select>   
              <mat-error *ngIf="leaveManagementForm.controls['NeedExitReEntry'].errors?.required &&
              leaveManagementForm.controls['NeedExitReEntry'].touched">
                  Please Select ReEntry Visa.
              </mat-error>   
          </mat-form-field> 
        </div>
      </div>  
      <div class="row">
        <div class="col-sm-6">
          <mat-form-field appearance="standard">
            <mat-label>Need Tickets</mat-label>
            <mat-select formControlName="NeedTickets" reuired>
              <mat-option value="true">Yes</mat-option>
              <mat-option value="false">No</mat-option>
            </mat-select>
            <mat-error *ngIf="leaveManagementForm.controls['NeedTickets'].errors?.required &&
            leaveManagementForm.controls['NeedTickets'].touched">
                Please Select Need Tickets.
            </mat-error> 
        </mat-form-field>
        </div>
        <div class="col-sm-6">
          <mat-form-field class="email-field" appearance="standard" >
            <mat-label>Contact No. During Leave</mat-label>
            <input matInput type="number"  formControlName="Mobile" maxlength="15" required autocomplete="off"  />  
            <mat-error *ngIf="leaveManagementForm.controls['Mobile'].errors?.required &&
            leaveManagementForm.controls['Mobile'].touched">
                Please Enter Contact No. During Leave.
            </mat-error>   
          </mat-form-field> 
        </div>
      </div>  
      <div class="row">
        <div class="col-sm-6">
          <mat-form-field class="email-field" appearance="standard" >
            <mat-label>Exact Detail of Routing</mat-label>        
              <textarea matInput maxlength="150" formControlName="Routing"required></textarea>     
        </mat-form-field> 
        </div>
        <div class="col-sm-6">
          <mat-form-field class="email-field" appearance="standard" >
            <mat-label>Notes</mat-label>        
              <textarea matInput maxlength="150" formControlName="Notes"  required></textarea>     
        </mat-form-field> 
        </div>
      </div> <br>     
      
      <div class="text-center">
        <button mat-raised-button  [disabled]="!leaveManagementForm.valid" class="submit-btn"> Submit</button>
        <button type="button" mat-raised-button class="submit-btn" (click)="cancel()">Cancel</button>
      </div>
        
      </form>
  </div>
</div>